--- random-static-_Thread_local.s	2022-08-30 17:02:30.036438016 -0400
+++ random-_Thread_local.s	2022-08-30 17:03:30.037224448 -0400
@@ -145,10 +145,12 @@
 .LBE19:
 	.loc 1 143 2 is_stmt 1
 	.loc 1 143 18 is_stmt 0
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	rnd_initialized@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
 .LVL12:
-	movl	$0, rnd_initialized@dtpoff(%rax)
+	movl	$0, (%rax)
 	.loc 1 144 2 is_stmt 1
 	.loc 1 147 1 is_stmt 0
 	popq	%rbx
@@ -215,12 +217,13 @@
 .LBB42:
 	.loc 1 69 2
 	.loc 1 69 6 is_stmt 0
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	rnd_initialized@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
 .LVL15:
-	movq	%rax, %rbx
 	.loc 1 69 5
-	movl	rnd_initialized@dtpoff(%rax), %eax
+	movl	(%rax), %eax
 	testl	%eax, %eax
 	je	.L60
 .L25:
@@ -232,7 +235,9 @@
 	je	.L55
 	.loc 1 175 3 is_stmt 1
 	.loc 1 175 10 is_stmt 0
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	gnutls_rnd_ctx@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
 .LVL16:
 	movq	%r12, %rcx
@@ -242,7 +247,7 @@
 	.loc 1 175 25
 	movq	_gnutls_rnd_ops@GOTPCREL(%rip), %rax
 	.loc 1 175 10
-	movq	gnutls_rnd_ctx@dtpoff(%r8), %rdi
+	movq	(%r8), %rdi
 	movq	8(%rax), %rax
 	.loc 1 179 1
 	addq	$8, %rsp
@@ -272,15 +277,21 @@
 	.loc 1 72 3
 	.loc 1 72 22 is_stmt 0
 	movq	_gnutls_rnd_ops@GOTPCREL(%rip), %rax
-	movq	(%rax), %rax
+	movq	(%rax), %rbx
 	.loc 1 72 6
-	testq	%rax, %rax
+	testq	%rbx, %rbx
 	je	.L44
 	.loc 1 77 3 is_stmt 1
 	.loc 1 77 7 is_stmt 0
-	leaq	gnutls_rnd_ctx@dtpoff(%rbx), %rdi
-	call	*%rax
+	data16	leaq	gnutls_rnd_ctx@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
+	call	__tls_get_addr@PLT
 .LVL21:
+	movq	%rax, %r15
+	movq	%rax, %rdi
+	call	*%rbx
+.LVL22:
 	.loc 1 77 6
 	testl	%eax, %eax
 	js	.L61
@@ -292,13 +303,13 @@
 	setne	%dl
 	orb	%dl, %al
 	je	.L32
-	leaq	gnutls_rnd_ctx_list_mutex(%rip), %r15
-	movq	%r15, %rdi
+	leaq	gnutls_rnd_ctx_list_mutex(%rip), %rbx
+	movq	%rbx, %rdi
 	call	pthread_mutex_lock@PLT
-.LVL22:
+.LVL23:
 	testl	%eax, %eax
 	jne	.L62
-.LVL23:
+.LVL24:
 	.loc 1 83 3 is_stmt 1
 	.loc 1 86 3
 .LBB44:
@@ -308,15 +319,15 @@
 .LBE45:
 .LBE44:
 	.loc 1 86 9
-	movq	gnutls_rnd_ctx@dtpoff(%rbx), %rbx
-.LVL24:
+	movq	(%r15), %r15
+.LVL25:
 .LBB59:
 .LBB52:
 	.loc 1 54 2 is_stmt 1
 	.loc 1 54 30 is_stmt 0
 	movl	$16, %edi
 	call	*(%rax)
-.LVL25:
+.LVL26:
 	.loc 1 56 2 is_stmt 1
 	.loc 1 56 5 is_stmt 0
 	testq	%rax, %rax
@@ -325,12 +336,12 @@
 	.loc 1 60 10 is_stmt 0
 	movq	head(%rip), %rdx
 	.loc 1 59 9
-	movq	%rbx, (%rax)
+	movq	%r15, (%rax)
 	.loc 1 60 2 is_stmt 1
 .LBE52:
 .LBE59:
 	.loc 1 87 9 is_stmt 0
-	movq	%r15, %rdi
+	movq	%rbx, %rdi
 .LBB60:
 .LBB53:
 	.loc 1 62 7
@@ -339,28 +350,30 @@
 	movq	%rdx, 8(%rax)
 	.loc 1 62 2 is_stmt 1
 	.loc 1 64 2
-.LVL26:
+.LVL27:
 .LBE53:
 .LBE60:
 	.loc 1 87 3
 	.loc 1 87 9 is_stmt 0
 	call	pthread_mutex_unlock@PLT
-.LVL27:
+.LVL28:
 	.loc 1 87 3
 	testl	%eax, %eax
 	jne	.L64
-.LVL28:
+.LVL29:
 .L44:
 	.loc 1 73 4 is_stmt 1
 	.loc 1 73 20 is_stmt 0
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	rnd_initialized@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
-.LVL29:
-	movl	$1, rnd_initialized@dtpoff(%rax)
-	.loc 1 74 4 is_stmt 1
 .LVL30:
-	jmp	.L25
+	movl	$1, (%rax)
+	.loc 1 74 4 is_stmt 1
 .LVL31:
+	jmp	.L25
+.LVL32:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
@@ -370,7 +383,7 @@
 .LBE87:
 	.loc 1 178 9 is_stmt 0
 	xorl	%r12d, %r12d
-.LVL32:
+.LVL33:
 .L23:
 	.loc 1 179 1
 	addq	$8, %rsp
@@ -384,7 +397,7 @@
 	.cfi_remember_state
 	.cfi_def_cfa 7, 8
 	ret
-.LVL33:
+.LVL34:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
@@ -409,12 +422,12 @@
 	leaq	.LC0(%rip), %rdx
 	leaq	.LC1(%rip), %rsi
 	call	_gnutls_log@PLT
-.LVL34:
+.LVL35:
 .LBE62:
 .LBE61:
 	.loc 1 88 3
 	jmp	.L44
-.LVL35:
+.LVL36:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
@@ -428,15 +441,15 @@
 .LBE54:
 .LBE65:
 	.loc 1 86 9
-	movq	gnutls_rnd_ctx@dtpoff(%rbx), %rbx
-.LVL36:
+	movq	(%r15), %r15
+.LVL37:
 .LBB66:
 .LBB55:
 	.loc 1 54 2 is_stmt 1
 	.loc 1 54 30 is_stmt 0
 	movl	$16, %edi
 	call	*(%rax)
-.LVL37:
+.LVL38:
 	.loc 1 56 2 is_stmt 1
 	.loc 1 56 5 is_stmt 0
 	testq	%rax, %rax
@@ -445,7 +458,7 @@
 	.loc 1 60 10 is_stmt 0
 	movq	head(%rip), %rdx
 	.loc 1 59 9
-	movq	%rbx, (%rax)
+	movq	%r15, (%rax)
 	.loc 1 60 2 is_stmt 1
 	.loc 1 62 7 is_stmt 0
 	movq	%rax, head(%rip)
@@ -453,12 +466,12 @@
 	movq	%rdx, 8(%rax)
 	.loc 1 62 2 is_stmt 1
 	.loc 1 64 2
-.LVL38:
+.LVL39:
 .LBE55:
 .LBE66:
 	.loc 1 87 3
 	jmp	.L44
-.LVL39:
+.LVL40:
 .L53:
 .LBE80:
 .LBE84:
@@ -466,7 +479,7 @@
 	.loc 1 169 2 is_stmt 0
 	movl	$-402, %r12d
 	jmp	.L23
-.LVL40:
+.LVL41:
 .L62:
 .LBB89:
 .LBB85:
@@ -475,35 +488,35 @@
 .LBB68:
 	.loc 3 179 2 is_stmt 1
 	.loc 3 179 2
-	movq	_gnutls_log_level@GOTPCREL(%rip), %rbx
-	cmpl	$2, (%rbx)
+	movq	_gnutls_log_level@GOTPCREL(%rip), %r13
+.LVL42:
+	cmpl	$2, 0(%r13)
 	jg	.L34
-.LVL41:
+.LVL43:
 .L36:
 .LBE68:
 .LBE67:
 	.loc 1 82 9 is_stmt 0
 	movl	$-306, %r12d
 	jmp	.L23
-.LVL42:
+.LVL44:
 .L34:
 .LBB70:
 .LBB69:
 	.loc 3 179 2 is_stmt 1
-	leaq	__func__.1(%rip), %r14
-.LVL43:
-	leaq	.LC0(%rip), %r13
-.LVL44:
+	leaq	__func__.1(%rip), %r15
+	leaq	.LC0(%rip), %r14
+.LVL45:
 	xorl	%eax, %eax
 	movl	$3, %edi
 	leaq	.LC1(%rip), %r12
-.LVL45:
+.LVL46:
 	movl	$82, %r8d
-	movq	%r14, %rcx
-	movq	%r13, %rdx
+	movq	%r15, %rcx
+	movq	%r14, %rdx
 	movq	%r12, %rsi
 	call	_gnutls_log@PLT
-.LVL46:
+.LVL47:
 	.loc 3 179 2
 	.loc 3 180 2
 .LBE69:
@@ -514,13 +527,13 @@
 .LBB72:
 	.loc 3 179 2
 	.loc 3 179 2
-	cmpl	$2, (%rbx)
+	cmpl	$2, 0(%r13)
 	jle	.L36
 	.loc 3 179 2
 	movq	%r12, %rsi
 	movl	$84, %r8d
-	movq	%r14, %rcx
-	movq	%r13, %rdx
+	movq	%r15, %rcx
+	movq	%r14, %rdx
 	movl	$3, %edi
 	xorl	%eax, %eax
 .LBE72:
@@ -531,7 +544,7 @@
 .LBB73:
 	.loc 3 179 2
 	call	_gnutls_log@PLT
-.LVL47:
+.LVL48:
 .L29:
 .LBE73:
 .LBE74:
@@ -543,7 +556,7 @@
 .LBB91:
 	.loc 3 179 2
 	.loc 3 179 2
-	cmpl	$2, (%rbx)
+	cmpl	$2, 0(%r13)
 	jle	.L23
 	.loc 3 179 2
 	movl	$172, %r8d
@@ -553,9 +566,9 @@
 	leaq	.LC0(%rip), %rdx
 	leaq	.LC1(%rip), %rsi
 	call	_gnutls_log@PLT
-.LVL48:
-	jmp	.L23
 .LVL49:
+	jmp	.L23
+.LVL50:
 .L61:
 .LBE91:
 .LBE90:
@@ -564,12 +577,13 @@
 .LBB82:
 	.loc 1 78 4
 	.loc 1 78 4
-	movq	_gnutls_log_level@GOTPCREL(%rip), %rbx
+	movq	_gnutls_log_level@GOTPCREL(%rip), %r13
+.LVL51:
 	.loc 1 79 11 is_stmt 0
 	movl	$-206, %r12d
-.LVL50:
+.LVL52:
 	.loc 1 78 4
-	cmpl	$2, (%rbx)
+	cmpl	$2, 0(%r13)
 	jle	.L23
 	.loc 1 78 4 is_stmt 1
 	movl	$78, %r8d
@@ -579,9 +593,9 @@
 	leaq	.LC0(%rip), %rdx
 	leaq	.LC1(%rip), %rsi
 	call	_gnutls_log@PLT
-.LVL51:
+.LVL53:
 	jmp	.L29
-.LVL52:
+.LVL54:
 .L65:
 .LBB75:
 .LBB56:
@@ -590,11 +604,11 @@
 .LBB47:
 	.loc 3 179 2
 	.loc 3 179 2
-	movq	_gnutls_log_level@GOTPCREL(%rip), %rbx
-.LVL53:
-	cmpl	$2, (%rbx)
+	movq	_gnutls_log_level@GOTPCREL(%rip), %r13
+.LVL55:
+	cmpl	$2, 0(%r13)
 	jg	.L66
-.LVL54:
+.LVL56:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
@@ -606,18 +620,20 @@
 	.loc 1 89 4
 	.loc 1 89 19
 	.loc 1 90 4
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	gnutls_rnd_ctx@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
-.LVL55:
+.LVL57:
 	movl	$-25, %r12d
-.LVL56:
-	movq	gnutls_rnd_ctx@dtpoff(%rax), %rdi
+.LVL58:
+	movq	(%rax), %rdi
 	movq	_gnutls_rnd_ops@GOTPCREL(%rip), %rax
 	call	*24(%rax)
-.LVL57:
+.LVL59:
 	.loc 1 91 4
 	jmp	.L29
-.LVL58:
+.LVL60:
 .L63:
 .LBB76:
 .LBB57:
@@ -626,20 +642,20 @@
 .LBB48:
 	.loc 3 179 2
 	.loc 3 179 2
-	movq	_gnutls_log_level@GOTPCREL(%rip), %rbx
-.LVL59:
-	cmpl	$2, (%rbx)
+	movq	_gnutls_log_level@GOTPCREL(%rip), %r13
+.LVL61:
+	cmpl	$2, 0(%r13)
 	jle	.L39
 	.loc 3 179 2
 	movl	$57, %r8d
 	leaq	__func__.0(%rip), %rcx
 	xorl	%eax, %eax
-.LVL60:
+.LVL62:
 	movl	$3, %edi
 	leaq	.LC0(%rip), %rdx
 	leaq	.LC1(%rip), %rsi
 	call	_gnutls_log@PLT
-.LVL61:
+.LVL63:
 .LBE48:
 .LBE50:
 .LBE57:
@@ -647,9 +663,9 @@
 	.loc 1 87 3
 .L39:
 	.loc 1 87 9 is_stmt 0
-	movq	%r15, %rdi
+	movq	%rbx, %rdi
 	call	pthread_mutex_unlock@PLT
-.LVL62:
+.LVL64:
 	.loc 1 87 3
 	testl	%eax, %eax
 	jne	.L67
@@ -659,7 +675,7 @@
 .L40:
 	.loc 1 89 4 is_stmt 1
 	.loc 1 89 4
-	cmpl	$2, (%rbx)
+	cmpl	$2, 0(%r13)
 	jle	.L43
 	.loc 1 89 4
 	movl	$89, %r8d
@@ -669,9 +685,9 @@
 	leaq	.LC0(%rip), %rdx
 	leaq	.LC1(%rip), %rsi
 	call	_gnutls_log@PLT
-.LVL63:
+.LVL65:
 	jmp	.L43
-.LVL64:
+.LVL66:
 .L66:
 .LBB77:
 .LBB58:
@@ -680,7 +696,7 @@
 	.loc 3 179 2
 	movl	$57, %r8d
 	leaq	__func__.0(%rip), %rcx
-.LVL65:
+.LVL67:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
@@ -696,18 +712,18 @@
 	movl	$3, %edi
 	xorl	%eax, %eax
 	call	_gnutls_log@PLT
-.LVL66:
+.LVL68:
 .LBE63:
 .LBE78:
 	.loc 1 88 3
 	jmp	.L40
 .L67:
-.LVL67:
+.LVL69:
 .LBB79:
 .LBB64:
 	.loc 3 179 2
 	.loc 3 179 2
-	cmpl	$2, (%rbx)
+	cmpl	$2, 0(%r13)
 	jle	.L43
 	.loc 3 179 2
 	movl	$87, %r8d
@@ -735,36 +751,49 @@
 	.cfi_offset 6, -16
 	movq	%rsp, %rbp
 	.cfi_def_cfa_register 6
+	pushq	%rbx
+	subq	$8, %rsp
+	.cfi_offset 3, -24
 	.loc 1 194 6
-	leaq	rnd_initialized@tlsld(%rip), %rdi
+	data16	leaq	rnd_initialized@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
 	call	__tls_get_addr@PLT
-.LVL68:
+.LVL70:
 	.loc 1 194 5
-	movl	rnd_initialized@dtpoff(%rax), %edx
-	testl	%edx, %edx
+	movl	(%rax), %eax
+	testl	%eax, %eax
 	je	.L68
 	.loc 1 194 40 discriminator 1
-	movq	_gnutls_rnd_ops@GOTPCREL(%rip), %rdx
-	movq	16(%rdx), %rdx
+	movq	_gnutls_rnd_ops@GOTPCREL(%rip), %rax
+	movq	16(%rax), %rbx
 	.loc 1 194 22 discriminator 1
-	testq	%rdx, %rdx
+	testq	%rbx, %rbx
 	je	.L68
 	.loc 1 195 3 is_stmt 1
-	movq	gnutls_rnd_ctx@dtpoff(%rax), %rdi
+	data16	leaq	gnutls_rnd_ctx@tlsgd(%rip), %rdi
+	.value	0x6666
+	rex64
+	call	__tls_get_addr@PLT
+.LVL71:
+	movq	(%rax), %rdi
+	movq	%rbx, %rax
 	.loc 1 196 1 is_stmt 0
-	popq	%rbp
+	movq	-8(%rbp), %rbx
+	leave
 	.cfi_remember_state
 	.cfi_def_cfa 7, 8
 	.loc 1 195 3
-	jmp	*%rdx
-.LVL69:
+	jmp	*%rax
+.LVL72:
 	.p2align 4,,10
 	.p2align 3
 	.p2align 3,,7
 .L68:
 	.cfi_restore_state
 	.loc 1 196 1
-	popq	%rbp
+	movq	-8(%rbp), %rbx
+	leave
 	.cfi_def_cfa 7, 8
 	ret
 	.cfi_endproc
@@ -802,12 +831,14 @@
 	.long	-42
 	.long	-1
 	.long	0
+	.globl	rnd_initialized
 	.section	.tbss,"awT",@nobits
 	.align 4
 	.type	rnd_initialized, @object
 	.size	rnd_initialized, 4
 rnd_initialized:
 	.zero	4
+	.globl	gnutls_rnd_ctx
 	.align 8
 	.type	gnutls_rnd_ctx, @object
 	.size	gnutls_rnd_ctx, 8
@@ -1487,7 +1518,7 @@
 	.long	.LASF136
 	.byte	0x1
 	.byte	0x27
-	.byte	0x1c
+	.byte	0x15
 	.long	0x5c
 	.uleb128 0xa
 	.byte	0xe
@@ -1497,7 +1528,7 @@
 	.long	.LASF137
 	.byte	0x1
 	.byte	0x28
-	.byte	0x1f
+	.byte	0x18
 	.long	0x92
 	.uleb128 0xa
 	.byte	0xe
@@ -1528,7 +1559,7 @@
 	.uleb128 0x9
 	.byte	0x8
 	.long	0x54a
-	.uleb128 0x19
+	.uleb128 0x1a
 	.long	.LASF140
 	.byte	0x1
 	.byte	0x31
@@ -1537,7 +1568,7 @@
 	.uleb128 0x9
 	.byte	0x3
 	.quad	gnutls_rnd_ctx_list_mutex
-	.uleb128 0x19
+	.uleb128 0x1a
 	.long	.LASF141
 	.byte	0x1
 	.byte	0x32
@@ -1546,7 +1577,7 @@
 	.uleb128 0x9
 	.byte	0x3
 	.quad	head
-	.uleb128 0x1a
+	.uleb128 0x1b
 	.long	.LASF142
 	.byte	0xe
 	.byte	0x64
@@ -1556,7 +1587,7 @@
 	.uleb128 0xe
 	.long	0x134
 	.byte	0
-	.uleb128 0x1a
+	.uleb128 0x1b
 	.long	.LASF143
 	.byte	0xe
 	.byte	0x5c
@@ -1566,12 +1597,12 @@
 	.uleb128 0xe
 	.long	0x134
 	.byte	0
-	.uleb128 0x1b
+	.uleb128 0x1c
 	.long	.LASF161
 	.byte	0x10
 	.byte	0x26
 	.byte	0x6
-	.uleb128 0x1c
+	.uleb128 0x1d
 	.long	.LASF149
 	.byte	0x3
 	.byte	0x53
@@ -1581,15 +1612,15 @@
 	.long	0x47
 	.uleb128 0xe
 	.long	0x146
-	.uleb128 0x1d
-	.byte	0
 	.uleb128 0x1e
+	.byte	0
+	.uleb128 0x1f
 	.long	.LASF162
 	.byte	0x10
 	.byte	0x25
 	.byte	0x5
 	.long	0x47
-	.uleb128 0x1f
+	.uleb128 0x20
 	.long	.LASF163
 	.byte	0x1
 	.byte	0xc0
@@ -1598,7 +1629,7 @@
 	.quad	.LFE110-.LFB110
 	.uleb128 0x1
 	.byte	0x9c
-	.uleb128 0x20
+	.uleb128 0x21
 	.long	.LASF146
 	.byte	0x1
 	.byte	0xa6
@@ -1609,48 +1640,48 @@
 	.uleb128 0x1
 	.byte	0x9c
 	.long	0x818
-	.uleb128 0x21
+	.uleb128 0x22
 	.long	.LASF144
 	.byte	0x1
 	.byte	0xa6
 	.byte	0x23
 	.long	0x34d
 	.long	.LLST3
-	.uleb128 0x21
+	.uleb128 0x22
 	.long	.LASF145
 	.byte	0x1
 	.byte	0xa6
 	.byte	0x30
 	.long	0x5c
 	.long	.LLST4
-	.uleb128 0x22
+	.uleb128 0x23
 	.string	"len"
 	.byte	0x1
 	.byte	0xa6
 	.byte	0x3d
 	.long	0x34
 	.long	.LLST5
-	.uleb128 0x23
+	.uleb128 0x24
 	.string	"ret"
 	.byte	0x1
 	.byte	0xa8
 	.byte	0x6
 	.long	0x47
 	.long	.LLST6
-	.uleb128 0x24
+	.uleb128 0x25
 	.long	.LASF148
 	.long	0x828
 	.uleb128 0x9
 	.byte	0x3
 	.quad	__func__.2
-	.uleb128 0x25
+	.uleb128 0x26
 	.long	0x9a2
 	.quad	.LBB37
 	.long	.Ldebug_ranges0+0
 	.byte	0x1
 	.byte	0xa9
 	.byte	0x2
-	.uleb128 0x26
+	.uleb128 0x27
 	.long	0x8d7
 	.quad	.LBB41
 	.long	.Ldebug_ranges0+0x30
@@ -1658,15 +1689,15 @@
 	.byte	0xab
 	.byte	0x6
 	.long	0x7de
-	.uleb128 0x27
-	.long	.Ldebug_ranges0+0x30
 	.uleb128 0x28
+	.long	.Ldebug_ranges0+0x30
+	.uleb128 0x29
 	.long	0x8fb
 	.long	.Ldebug_ranges0+0x40
-	.uleb128 0x29
+	.uleb128 0x2a
 	.long	0x8fc
 	.long	.LLST7
-	.uleb128 0x26
+	.uleb128 0x27
 	.long	0x952
 	.quad	.LBB44
 	.long	.Ldebug_ranges0+0x90
@@ -1674,36 +1705,36 @@
 	.byte	0x56
 	.byte	0x9
 	.long	0x734
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x963
 	.long	.LLST8
-	.uleb128 0x27
+	.uleb128 0x28
 	.long	.Ldebug_ranges0+0x90
-	.uleb128 0x29
+	.uleb128 0x2a
 	.long	0x96f
 	.long	.LLST9
-	.uleb128 0x2b
+	.uleb128 0x2c
 	.long	0x9af
 	.quad	.LBB46
 	.long	.Ldebug_ranges0+0xe0
 	.byte	0x1
 	.byte	0x39
 	.byte	0xa
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9e0
 	.long	.LLST10
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.long	0x9d4
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9c8
 	.long	.LLST12
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9bc
 	.long	.LLST13
 	.byte	0
 	.byte	0
 	.byte	0
-	.uleb128 0x26
+	.uleb128 0x27
 	.long	0x9af
 	.quad	.LBB61
 	.long	.Ldebug_ranges0+0x120
@@ -1711,19 +1742,19 @@
 	.byte	0x57
 	.byte	0x9
 	.long	0x76d
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9e0
 	.long	.LLST14
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.long	0x9d4
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9c8
 	.long	.LLST16
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9bc
 	.long	.LLST17
 	.byte	0
-	.uleb128 0x26
+	.uleb128 0x27
 	.long	0x9af
 	.quad	.LBB67
 	.long	.Ldebug_ranges0+0x160
@@ -1731,70 +1762,70 @@
 	.byte	0x52
 	.byte	0x9
 	.long	0x7a6
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9e0
 	.long	.LLST18
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.long	0x9d4
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9c8
 	.long	.LLST20
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9bc
 	.long	.LLST21
 	.byte	0
-	.uleb128 0x2b
+	.uleb128 0x2c
 	.long	0x9af
 	.quad	.LBB71
 	.long	.Ldebug_ranges0+0x190
 	.byte	0x1
 	.byte	0x54
 	.byte	0xb
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9e0
 	.long	.LLST22
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.long	0x9d4
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9c8
 	.long	.LLST24
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9bc
 	.long	.LLST25
 	.byte	0
 	.byte	0
 	.byte	0
 	.byte	0
-	.uleb128 0x2d
+	.uleb128 0x2e
 	.long	0x9af
 	.quad	.LBB90
 	.quad	.LBE90-.LBB90
 	.byte	0x1
 	.byte	0xac
 	.byte	0xa
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9e0
 	.long	.LLST26
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.long	0x9d4
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9c8
 	.long	.LLST28
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.long	0x9bc
 	.long	.LLST29
 	.byte	0
 	.byte	0
-	.uleb128 0x2e
+	.uleb128 0x2f
 	.long	0xb8
 	.long	0x828
-	.uleb128 0x2f
+	.uleb128 0x30
 	.long	0x40
 	.byte	0xa
 	.byte	0
 	.uleb128 0x6
 	.long	0x818
-	.uleb128 0x30
+	.uleb128 0x31
 	.long	.LASF164
 	.byte	0x1
 	.byte	0x81
@@ -1804,17 +1835,17 @@
 	.uleb128 0x1
 	.byte	0x9c
 	.long	0x87c
-	.uleb128 0x31
+	.uleb128 0x32
 	.quad	.LBB19
 	.quad	.LBE19-.LBB19
-	.uleb128 0x23
+	.uleb128 0x24
 	.string	"e"
 	.byte	0x1
 	.byte	0x84
 	.byte	0x1b
 	.long	0x572
 	.long	.LLST1
-	.uleb128 0x32
+	.uleb128 0x33
 	.long	.LASF139
 	.byte	0x1
 	.byte	0x84
@@ -1823,7 +1854,7 @@
 	.long	.LLST2
 	.byte	0
 	.byte	0
-	.uleb128 0x20
+	.uleb128 0x21
 	.long	.LASF147
 	.byte	0x1
 	.byte	0x63
@@ -1834,30 +1865,30 @@
 	.uleb128 0x1
 	.byte	0x9c
 	.long	0x8c2
-	.uleb128 0x23
+	.uleb128 0x24
 	.string	"ret"
 	.byte	0x1
 	.byte	0x65
 	.byte	0x6
 	.long	0x47
 	.long	.LLST0
-	.uleb128 0x24
+	.uleb128 0x25
 	.long	.LASF148
 	.long	0x8d2
 	.uleb128 0x9
 	.byte	0x3
 	.quad	__func__.3
 	.byte	0
-	.uleb128 0x2e
+	.uleb128 0x2f
 	.long	0xb8
 	.long	0x8d2
-	.uleb128 0x2f
+	.uleb128 0x30
 	.long	0x40
 	.byte	0x13
 	.byte	0
 	.uleb128 0x6
 	.long	0x8c2
-	.uleb128 0x33
+	.uleb128 0x34
 	.long	.LASF152
 	.byte	0x1
 	.byte	0x43
@@ -1865,14 +1896,14 @@
 	.long	0x47
 	.byte	0x3
 	.long	0x90a
-	.uleb128 0x24
+	.uleb128 0x25
 	.long	.LASF148
 	.long	0x91a
 	.uleb128 0x9
 	.byte	0x3
 	.quad	__func__.1
-	.uleb128 0x34
 	.uleb128 0x35
+	.uleb128 0x36
 	.string	"ret"
 	.byte	0x1
 	.byte	0x46
@@ -1880,16 +1911,16 @@
 	.long	0x47
 	.byte	0
 	.byte	0
-	.uleb128 0x2e
+	.uleb128 0x2f
 	.long	0xb8
 	.long	0x91a
-	.uleb128 0x2f
+	.uleb128 0x30
 	.long	0x40
 	.byte	0x10
 	.byte	0
 	.uleb128 0x6
 	.long	0x90a
-	.uleb128 0x1c
+	.uleb128 0x1d
 	.long	.LASF150
 	.byte	0xf
 	.byte	0x3c
@@ -1898,7 +1929,7 @@
 	.uleb128 0xe
 	.long	0x47
 	.byte	0
-	.uleb128 0x1a
+	.uleb128 0x1b
 	.long	.LASF151
 	.byte	0xe
 	.byte	0x6e
@@ -1913,7 +1944,7 @@
 	.uleb128 0x9
 	.byte	0x8
 	.long	0x124
-	.uleb128 0x33
+	.uleb128 0x34
 	.long	.LASF153
 	.byte	0x1
 	.byte	0x34
@@ -1921,67 +1952,67 @@
 	.long	0x47
 	.byte	0x1
 	.long	0x98d
-	.uleb128 0x36
+	.uleb128 0x37
 	.string	"ctx"
 	.byte	0x1
 	.byte	0x34
 	.byte	0x19
 	.long	0x5c
-	.uleb128 0x35
+	.uleb128 0x36
 	.string	"e"
 	.byte	0x1
 	.byte	0x36
 	.byte	0x1a
 	.long	0x572
-	.uleb128 0x24
+	.uleb128 0x25
 	.long	.LASF148
 	.long	0x99d
 	.uleb128 0x9
 	.byte	0x3
 	.quad	__func__.0
 	.byte	0
-	.uleb128 0x2e
+	.uleb128 0x2f
 	.long	0xb8
 	.long	0x99d
-	.uleb128 0x2f
+	.uleb128 0x30
 	.long	0x40
 	.byte	0x6
 	.byte	0
 	.uleb128 0x6
 	.long	0x98d
-	.uleb128 0x37
+	.uleb128 0x38
 	.long	.LASF165
 	.byte	0x2
 	.byte	0x39
 	.byte	0x22
 	.long	0x4f8
 	.byte	0x3
-	.uleb128 0x38
+	.uleb128 0x39
 	.long	.LASF166
 	.byte	0x3
 	.byte	0xb1
 	.byte	0x5
 	.long	0x47
 	.byte	0x3
-	.uleb128 0x36
+	.uleb128 0x37
 	.string	"val"
 	.byte	0x3
 	.byte	0xb1
 	.byte	0x1f
 	.long	0x47
-	.uleb128 0x39
+	.uleb128 0x3a
 	.long	.LASF154
 	.byte	0x3
 	.byte	0xb1
 	.byte	0x30
 	.long	0x146
-	.uleb128 0x39
+	.uleb128 0x3a
 	.long	.LASF155
 	.byte	0x3
 	.byte	0xb1
 	.byte	0x42
 	.long	0x146
-	.uleb128 0x39
+	.uleb128 0x3a
 	.long	.LASF156
 	.byte	0x3
 	.byte	0xb1
@@ -2322,11 +2353,30 @@
 	.uleb128 0xb
 	.uleb128 0x49
 	.uleb128 0x13
+	.uleb128 0x3f
+	.uleb128 0x19
 	.uleb128 0x2
 	.uleb128 0x18
 	.byte	0
 	.byte	0
 	.uleb128 0x1a
+	.uleb128 0x34
+	.byte	0
+	.uleb128 0x3
+	.uleb128 0xe
+	.uleb128 0x3a
+	.uleb128 0xb
+	.uleb128 0x3b
+	.uleb128 0xb
+	.uleb128 0x39
+	.uleb128 0xb
+	.uleb128 0x49
+	.uleb128 0x13
+	.uleb128 0x2
+	.uleb128 0x18
+	.byte	0
+	.byte	0
+	.uleb128 0x1b
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3f
@@ -2349,7 +2399,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x1b
+	.uleb128 0x1c
 	.uleb128 0x2e
 	.byte	0
 	.uleb128 0x3f
@@ -2368,7 +2418,7 @@
 	.uleb128 0x19
 	.byte	0
 	.byte	0
-	.uleb128 0x1c
+	.uleb128 0x1d
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3f
@@ -2389,12 +2439,12 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x1d
+	.uleb128 0x1e
 	.uleb128 0x18
 	.byte	0
 	.byte	0
 	.byte	0
-	.uleb128 0x1e
+	.uleb128 0x1f
 	.uleb128 0x2e
 	.byte	0
 	.uleb128 0x3f
@@ -2415,7 +2465,7 @@
 	.uleb128 0x19
 	.byte	0
 	.byte	0
-	.uleb128 0x1f
+	.uleb128 0x20
 	.uleb128 0x2e
 	.byte	0
 	.uleb128 0x3f
@@ -2438,7 +2488,7 @@
 	.uleb128 0x18
 	.byte	0
 	.byte	0
-	.uleb128 0x20
+	.uleb128 0x21
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3f
@@ -2465,7 +2515,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x21
+	.uleb128 0x22
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x3
@@ -2482,7 +2532,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x22
+	.uleb128 0x23
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x3
@@ -2499,7 +2549,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x23
+	.uleb128 0x24
 	.uleb128 0x34
 	.byte	0
 	.uleb128 0x3
@@ -2516,7 +2566,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x24
+	.uleb128 0x25
 	.uleb128 0x34
 	.byte	0
 	.uleb128 0x3
@@ -2529,7 +2579,7 @@
 	.uleb128 0x18
 	.byte	0
 	.byte	0
-	.uleb128 0x25
+	.uleb128 0x26
 	.uleb128 0x1d
 	.byte	0
 	.uleb128 0x31
@@ -2546,7 +2596,7 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x26
+	.uleb128 0x27
 	.uleb128 0x1d
 	.byte	0x1
 	.uleb128 0x31
@@ -2565,14 +2615,14 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x27
+	.uleb128 0x28
 	.uleb128 0xb
 	.byte	0x1
 	.uleb128 0x55
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x28
+	.uleb128 0x29
 	.uleb128 0xb
 	.byte	0x1
 	.uleb128 0x31
@@ -2581,7 +2631,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x29
+	.uleb128 0x2a
 	.uleb128 0x34
 	.byte	0
 	.uleb128 0x31
@@ -2590,7 +2640,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x2a
+	.uleb128 0x2b
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x31
@@ -2599,7 +2649,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x2b
+	.uleb128 0x2c
 	.uleb128 0x1d
 	.byte	0x1
 	.uleb128 0x31
@@ -2616,14 +2666,14 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x2c
+	.uleb128 0x2d
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x31
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x2d
+	.uleb128 0x2e
 	.uleb128 0x1d
 	.byte	0x1
 	.uleb128 0x31
@@ -2640,7 +2690,7 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x2e
+	.uleb128 0x2f
 	.uleb128 0x1
 	.byte	0x1
 	.uleb128 0x49
@@ -2649,7 +2699,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x2f
+	.uleb128 0x30
 	.uleb128 0x21
 	.byte	0
 	.uleb128 0x49
@@ -2658,7 +2708,7 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x30
+	.uleb128 0x31
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3f
@@ -2683,7 +2733,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x31
+	.uleb128 0x32
 	.uleb128 0xb
 	.byte	0x1
 	.uleb128 0x11
@@ -2692,7 +2742,7 @@
 	.uleb128 0x7
 	.byte	0
 	.byte	0
-	.uleb128 0x32
+	.uleb128 0x33
 	.uleb128 0x34
 	.byte	0
 	.uleb128 0x3
@@ -2709,7 +2759,7 @@
 	.uleb128 0x17
 	.byte	0
 	.byte	0
-	.uleb128 0x33
+	.uleb128 0x34
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3
@@ -2730,12 +2780,12 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x34
+	.uleb128 0x35
 	.uleb128 0xb
 	.byte	0x1
 	.byte	0
 	.byte	0
-	.uleb128 0x35
+	.uleb128 0x36
 	.uleb128 0x34
 	.byte	0
 	.uleb128 0x3
@@ -2750,7 +2800,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x36
+	.uleb128 0x37
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x3
@@ -2765,7 +2815,7 @@
 	.uleb128 0x13
 	.byte	0
 	.byte	0
-	.uleb128 0x37
+	.uleb128 0x38
 	.uleb128 0x2e
 	.byte	0
 	.uleb128 0x3
@@ -2784,7 +2834,7 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x38
+	.uleb128 0x39
 	.uleb128 0x2e
 	.byte	0x1
 	.uleb128 0x3
@@ -2803,7 +2853,7 @@
 	.uleb128 0xb
 	.byte	0
 	.byte	0
-	.uleb128 0x39
+	.uleb128 0x3a
 	.uleb128 0x5
 	.byte	0
 	.uleb128 0x3
@@ -2835,27 +2885,31 @@
 	.value	0x1
 	.byte	0x54
 	.quad	.LVL20-.Ltext0
-	.quad	.LVL32-.Ltext0
+	.quad	.LVL33-.Ltext0
 	.value	0x1
 	.byte	0x5d
-	.quad	.LVL33-.Ltext0
-	.quad	.LVL39-.Ltext0
+	.quad	.LVL34-.Ltext0
+	.quad	.LVL40-.Ltext0
 	.value	0x1
 	.byte	0x5d
-	.quad	.LVL39-.Ltext0
 	.quad	.LVL40-.Ltext0
+	.quad	.LVL41-.Ltext0
 	.value	0x1
 	.byte	0x55
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL42-.Ltext0
 	.value	0x1
 	.byte	0x5d
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL44-.Ltext0
+	.quad	.LVL50-.Ltext0
+	.quad	.LVL51-.Ltext0
 	.value	0x1
 	.byte	0x5d
-	.quad	.LVL49-.Ltext0
-	.quad	.LFE109-.Ltext0
+	.quad	.LVL54-.Ltext0
+	.quad	.LVL55-.Ltext0
+	.value	0x1
+	.byte	0x5d
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL61-.Ltext0
 	.value	0x1
 	.byte	0x5d
 	.quad	0
@@ -2874,26 +2928,26 @@
 	.value	0x1
 	.byte	0x51
 	.quad	.LVL20-.Ltext0
-	.quad	.LVL32-.Ltext0
+	.quad	.LVL33-.Ltext0
 	.value	0x1
 	.byte	0x5e
-	.quad	.LVL33-.Ltext0
-	.quad	.LVL39-.Ltext0
+	.quad	.LVL34-.Ltext0
+	.quad	.LVL40-.Ltext0
 	.value	0x1
 	.byte	0x5e
-	.quad	.LVL39-.Ltext0
 	.quad	.LVL40-.Ltext0
+	.quad	.LVL41-.Ltext0
 	.value	0x1
 	.byte	0x54
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL43-.Ltext0
 	.value	0x1
 	.byte	0x5e
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL43-.Ltext0
+	.quad	.LVL44-.Ltext0
+	.quad	.LVL45-.Ltext0
 	.value	0x1
 	.byte	0x5e
-	.quad	.LVL49-.Ltext0
+	.quad	.LVL50-.Ltext0
 	.quad	.LFE109-.Ltext0
 	.value	0x1
 	.byte	0x5e
@@ -2913,53 +2967,53 @@
 	.value	0x1
 	.byte	0x52
 	.quad	.LVL20-.Ltext0
-	.quad	.LVL32-.Ltext0
+	.quad	.LVL33-.Ltext0
 	.value	0x1
 	.byte	0x5c
-	.quad	.LVL33-.Ltext0
-	.quad	.LVL39-.Ltext0
+	.quad	.LVL34-.Ltext0
+	.quad	.LVL40-.Ltext0
 	.value	0x1
 	.byte	0x5c
-	.quad	.LVL39-.Ltext0
 	.quad	.LVL40-.Ltext0
+	.quad	.LVL41-.Ltext0
 	.value	0x1
 	.byte	0x51
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL43-.Ltext0
 	.value	0x1
 	.byte	0x5c
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL45-.Ltext0
+	.quad	.LVL44-.Ltext0
+	.quad	.LVL46-.Ltext0
 	.value	0x1
 	.byte	0x5c
-	.quad	.LVL49-.Ltext0
 	.quad	.LVL50-.Ltext0
-	.value	0x1
-	.byte	0x5c
 	.quad	.LVL52-.Ltext0
-	.quad	.LVL56-.Ltext0
 	.value	0x1
 	.byte	0x5c
+	.quad	.LVL54-.Ltext0
 	.quad	.LVL58-.Ltext0
+	.value	0x1
+	.byte	0x5c
+	.quad	.LVL60-.Ltext0
 	.quad	.LFE109-.Ltext0
 	.value	0x1
 	.byte	0x5c
 	.quad	0
 	.quad	0
 .LLST6:
-	.quad	.LVL30-.Ltext0
 	.quad	.LVL31-.Ltext0
+	.quad	.LVL32-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
-	.quad	.LVL51-.Ltext0
-	.quad	.LVL52-.Ltext0
+	.quad	.LVL53-.Ltext0
+	.quad	.LVL54-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xff32
 	.byte	0x9f
-	.quad	.LVL57-.Ltext0
-	.quad	.LVL58-.Ltext0
+	.quad	.LVL59-.Ltext0
+	.quad	.LVL60-.Ltext0
 	.value	0x3
 	.byte	0x9
 	.byte	0xe7
@@ -2967,96 +3021,100 @@
 	.quad	0
 	.quad	0
 .LLST7:
-	.quad	.LVL23-.Ltext0
-	.quad	.LVL28-.Ltext0
+	.quad	.LVL24-.Ltext0
+	.quad	.LVL29-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
-	.quad	.LVL33-.Ltext0
-	.quad	.LVL39-.Ltext0
+	.quad	.LVL34-.Ltext0
+	.quad	.LVL40-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
-	.quad	.LVL46-.Ltext0
 	.quad	.LVL47-.Ltext0
+	.quad	.LVL48-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xfece
 	.byte	0x9f
-	.quad	.LVL52-.Ltext0
 	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
-	.quad	.LVL58-.Ltext0
-	.quad	.LVL61-.Ltext0
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL63-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
-	.quad	.LVL64-.Ltext0
-	.quad	.LVL65-.Ltext0
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
 	.value	0x2
 	.byte	0x30
 	.byte	0x9f
 	.quad	0
 	.quad	0
 .LLST8:
-	.quad	.LVL24-.Ltext0
-	.quad	.LVL26-.Ltext0
+	.quad	.LVL25-.Ltext0
+	.quad	.LVL27-.Ltext0
 	.value	0x1
-	.byte	0x53
-	.quad	.LVL36-.Ltext0
-	.quad	.LVL38-.Ltext0
+	.byte	0x5f
+	.quad	.LVL37-.Ltext0
+	.quad	.LVL39-.Ltext0
 	.value	0x1
-	.byte	0x53
-	.quad	.LVL52-.Ltext0
-	.quad	.LVL53-.Ltext0
+	.byte	0x5f
+	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0x1
-	.byte	0x53
-	.quad	.LVL58-.Ltext0
-	.quad	.LVL59-.Ltext0
+	.byte	0x5f
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL63-.Ltext0
 	.value	0x1
-	.byte	0x53
+	.byte	0x5f
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
+	.value	0x1
+	.byte	0x5f
 	.quad	0
 	.quad	0
 .LLST9:
-	.quad	.LVL25-.Ltext0
 	.quad	.LVL26-.Ltext0
+	.quad	.LVL27-.Ltext0
 	.value	0x1
 	.byte	0x50
-	.quad	.LVL37-.Ltext0
 	.quad	.LVL38-.Ltext0
+	.quad	.LVL39-.Ltext0
 	.value	0x1
 	.byte	0x50
-	.quad	.LVL52-.Ltext0
 	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0x1
 	.byte	0x50
-	.quad	.LVL58-.Ltext0
 	.quad	.LVL60-.Ltext0
+	.quad	.LVL62-.Ltext0
 	.value	0x1
 	.byte	0x50
-	.quad	.LVL64-.Ltext0
-	.quad	.LVL65-.Ltext0
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
 	.value	0x1
 	.byte	0x50
 	.quad	0
 	.quad	0
 .LLST10:
-	.quad	.LVL52-.Ltext0
 	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x39
 	.byte	0x9f
-	.quad	.LVL58-.Ltext0
-	.quad	.LVL61-.Ltext0
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL63-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x39
 	.byte	0x9f
-	.quad	.LVL64-.Ltext0
-	.quad	.LVL65-.Ltext0
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x39
@@ -3064,20 +3122,20 @@
 	.quad	0
 	.quad	0
 .LLST12:
-	.quad	.LVL52-.Ltext0
 	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
 	.byte	0x9f
-	.quad	.LVL58-.Ltext0
-	.quad	.LVL61-.Ltext0
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL63-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
 	.byte	0x9f
-	.quad	.LVL64-.Ltext0
-	.quad	.LVL65-.Ltext0
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
@@ -3085,20 +3143,20 @@
 	.quad	0
 	.quad	0
 .LLST13:
-	.quad	.LVL52-.Ltext0
 	.quad	.LVL54-.Ltext0
+	.quad	.LVL56-.Ltext0
 	.value	0x3
 	.byte	0x9
 	.byte	0xe7
 	.byte	0x9f
-	.quad	.LVL58-.Ltext0
-	.quad	.LVL61-.Ltext0
+	.quad	.LVL60-.Ltext0
+	.quad	.LVL63-.Ltext0
 	.value	0x3
 	.byte	0x9
 	.byte	0xe7
 	.byte	0x9f
-	.quad	.LVL64-.Ltext0
-	.quad	.LVL65-.Ltext0
+	.quad	.LVL66-.Ltext0
+	.quad	.LVL67-.Ltext0
 	.value	0x3
 	.byte	0x9
 	.byte	0xe7
@@ -3106,13 +3164,13 @@
 	.quad	0
 	.quad	0
 .LLST14:
-	.quad	.LVL33-.Ltext0
 	.quad	.LVL34-.Ltext0
+	.quad	.LVL35-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x57
 	.byte	0x9f
-	.quad	.LVL67-.Ltext0
+	.quad	.LVL69-.Ltext0
 	.quad	.LFE109-.Ltext0
 	.value	0x3
 	.byte	0x8
@@ -3121,13 +3179,13 @@
 	.quad	0
 	.quad	0
 .LLST16:
-	.quad	.LVL33-.Ltext0
 	.quad	.LVL34-.Ltext0
+	.quad	.LVL35-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
 	.byte	0x9f
-	.quad	.LVL67-.Ltext0
+	.quad	.LVL69-.Ltext0
 	.quad	.LFE109-.Ltext0
 	.value	0xa
 	.byte	0x3
@@ -3136,13 +3194,13 @@
 	.quad	0
 	.quad	0
 .LLST17:
-	.quad	.LVL33-.Ltext0
 	.quad	.LVL34-.Ltext0
+	.quad	.LVL35-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xfece
 	.byte	0x9f
-	.quad	.LVL67-.Ltext0
+	.quad	.LVL69-.Ltext0
 	.quad	.LFE109-.Ltext0
 	.value	0x4
 	.byte	0xb
@@ -3151,14 +3209,14 @@
 	.quad	0
 	.quad	0
 .LLST18:
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL43-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x52
 	.byte	0x9f
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL46-.Ltext0
+	.quad	.LVL44-.Ltext0
+	.quad	.LVL47-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x52
@@ -3166,14 +3224,14 @@
 	.quad	0
 	.quad	0
 .LLST20:
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL43-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
 	.byte	0x9f
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL46-.Ltext0
+	.quad	.LVL44-.Ltext0
+	.quad	.LVL47-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
@@ -3181,14 +3239,14 @@
 	.quad	0
 	.quad	0
 .LLST21:
-	.quad	.LVL40-.Ltext0
 	.quad	.LVL41-.Ltext0
+	.quad	.LVL43-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xfece
 	.byte	0x9f
-	.quad	.LVL42-.Ltext0
-	.quad	.LVL46-.Ltext0
+	.quad	.LVL44-.Ltext0
+	.quad	.LVL47-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xfece
@@ -3196,8 +3254,8 @@
 	.quad	0
 	.quad	0
 .LLST22:
-	.quad	.LVL46-.Ltext0
 	.quad	.LVL47-.Ltext0
+	.quad	.LVL48-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0x54
@@ -3205,8 +3263,8 @@
 	.quad	0
 	.quad	0
 .LLST24:
-	.quad	.LVL46-.Ltext0
 	.quad	.LVL47-.Ltext0
+	.quad	.LVL48-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
@@ -3214,8 +3272,8 @@
 	.quad	0
 	.quad	0
 .LLST25:
-	.quad	.LVL46-.Ltext0
 	.quad	.LVL47-.Ltext0
+	.quad	.LVL48-.Ltext0
 	.value	0x4
 	.byte	0xb
 	.value	0xfece
@@ -3223,8 +3281,8 @@
 	.quad	0
 	.quad	0
 .LLST26:
-	.quad	.LVL47-.Ltext0
-	.quad	.LVL49-.Ltext0
+	.quad	.LVL48-.Ltext0
+	.quad	.LVL50-.Ltext0
 	.value	0x3
 	.byte	0x8
 	.byte	0xac
@@ -3232,8 +3290,8 @@
 	.quad	0
 	.quad	0
 .LLST28:
-	.quad	.LVL47-.Ltext0
-	.quad	.LVL49-.Ltext0
+	.quad	.LVL48-.Ltext0
+	.quad	.LVL50-.Ltext0
 	.value	0xa
 	.byte	0x3
 	.quad	.LC0
@@ -3241,8 +3299,8 @@
 	.quad	0
 	.quad	0
 .LLST29:
-	.quad	.LVL47-.Ltext0
-	.quad	.LVL49-.Ltext0
+	.quad	.LVL48-.Ltext0
+	.quad	.LVL50-.Ltext0
 	.value	0x1
 	.byte	0x5c
 	.quad	0
